<script setup>
import { ref, computed } from 'vue';
import { useAuthStore } from '@/stores/Auth';
import { useRoute } from 'vue-router';

const authStore = useAuthStore();
const route = useRoute();
const routerKey = ref(0);
const authUser = authStore.user.id;
// Метод создания плана
const createPlan = async () => {
    const payload = {
        sen_manager_id: authUser,
    };

    const { response, error } = await authStore.creteSchadulPlan(payload);
    if (response) {
        routerKey.value += 1;
    } else {
        console.error('Ошибка при создании плана:', error);
        const message = error.data?.message || 'Не удалось создать план.';
        alert(message);
    }
};

const isListPage = computed(() => route.path === '/schedule/list');
</script>

<template>
    <div class="p-3">
        <div v-if="isListPage" class="d-flex justify-content-center">
<!--            <button-->
<!--                v-if="authStore.hasPermission('create-plan-chart-list')"-->
<!--                type="button"-->
<!--                class="btn btn-primary btn-sm"-->
<!--                @click="createPlan"-->
<!--            >-->
<!--                Создать план на текущий год-->
<!--            </button>-->
        </div>
        <router-view :key="routerKey"></router-view>
    </div>
</template>
